<p class="topic">
Audit Log
</p>

<p class="text">
Use this tab to configure the directory's audit log. The audit log contains detailed information about changes made to each database as well as to the overall server configuration.
</p>

<p class="text">
<b>Enable logging. </b>Select this checkbox to configure the server to keep an audit log; clear this checkbox to disable audit logging.
</p>

<p class="text">
<b>View Log. </b>Click this button to view the audit log for the directory.
</p>

<p class="text">
<b>Log File. </b>Contains the full path and name of the audit log.
</p>

<p class="text">
<b>Creation Policy. </b>These options allow you to specify how often the server archives the current audit log and starts a new log file.
</p>

<p class="text">
<b>Access mode. </b>Indicates the access mode or UNIX file permissions with which log files are to be created. The default value is 600. 
</p>

<p class="text">
The valid values are any combination of 000 to 777, as they mirror <em>numbered</em> or <em>absolute</em> UNIX file permissions. That is, the value must be a combination of a 3-digit number, the digits varying from 0 through 7:
</p>

<p class="text">
0 - None<br />1 - Execute only<br />2 - Write only<br />3 - Write and execute<br />4 - Read only<br />5 - Read and execute<br />6 - Read and write<br />7 - Read, write, and execute
</p>

<p class="text">
In the 3-digit number, the first digit represents the owner's permissions, the second digit represents the group's permissions, and the third digit represents everyone's permissions. When changing the default value, keep in mind that 000 will not allow access to the logs and allowing <em>write</em> permissions to <em>everyone</em> can result in the logs being overwritten or deleted by anyone.
</p>

<p class="text">
Note that the newly configured access mode will only affect new logs that are created; the mode will be set when the log rotates to a new file.
</p>

<p class="text">
<b>Maximum number of logs. </b>The number of logs to archive per directory.
</p>

<p class="text">
<b>File size for each log. </b>The maximum file size (in MB) for active audit log files. Once a file reaches the size you specify, the server archives the file and starts a new one.
</p>

<p class="text">
<b>Create a new log every. </b>How often you want the server to start a new audit log. The server archives a log file if the size of the file reaches the maximum file size or the specified time limit has elapsed, whichever comes first.
</p>

<p class="text">
<b>Deletion Policy. </b>These options allow you to configure the server to delete unneeded archived audit log files.
</p>

<p class="text">
<b>When total log exceeds. </b>The server will delete the oldest archived audit log once the total of all the logs reaches this amount.
</p>

<p class="text">
<b>When free disk space is less than. </b>The server will delete the oldest archived audit log if the available disk space is less than this amount.
</p>

<p class="text">
<b>When a file is older than. </b>The server will delete an archived audit log when the file is older than the age you specify.
</p>
